<!DOCTYPE html>
<html>  
 <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Simulation pr&ecirc;t</title>
 </head>
  <body>
  <?php
   define("W_EOL","<br />");
   // --- on récupère les données ---
   $Capital     = $_POST['Capital']        ;
   $NbAn        = $_POST['NbAn']           ;
   $TAssurance  = $_POST['TauxAssurance']  ;
   $TAnnuel_Min = $_POST['TauxAnnuel_Min'] ;
   $TAnnuel_Max = $_POST['TauxAnnuel_Max'] ;
   $TAnnuel_Pas = $_POST['TauxAnnuel_Pas'] ;
   // si l'un des données initiale est vide on affiche un message d'erreur
   if(empty($Capital)||empty($NbAn)||empty($TAnnuel_Min)||empty($TAnnuel_Max)||empty($TAnnuel_Pas)||empty($TAssurance))
   {echo "--- Les donn&eacute;es suivantes sont absentes ---".W_EOL;
    if(empty($Capital))     echo "Capital".W_EOL;
    if(empty($NbAn))        echo "Nombre d'ann&eacute;es".W_EOL;
    if(empty($TAnnuel_Min)) echo "Taux Annuel Hors Assurance initial".W_EOL;
    if(empty($TAnnuel_Max)) echo "Taux Annuel Hors Assurance final".W_EOL;
    if(empty($TAnnuel_Pas)) echo "Intervalle de progression du taux".W_EOL;
    if(empty($TAssurance))  echo "Taux de l'Assurance".W_EOL;
   }
   else // on effectue les calculs
   { // --- conversion dans le bon type de données
     $Capital     = floatval($Capital)     ;
     $NbAn        = intval($NbAn)          ;
     $TAnnuel_Min = floatval($TAnnuel_Min) ;
     $TAnnuel_Max = floatval($TAnnuel_Max) ;
     $TAnnuel_Min = floatval($TAnnuel_Min) ;
     $TAnnuel_Pas = floatval($TAnnuel_Pas) ;
     $TAssurance  = floatval($TAssurance)  ;
     // --- on effectue les calculs et on affiche les résultats ---
     $NbMois = $NbAn*12 ;
     $CoutAss = round((($Capital*($TAssurance/100))/12),2);
     for ($TAnnuel=$TAnnuel_Min ; $TAnnuel<=$TAnnuel_Max ; $TAnnuel+=$TAnnuel_Pas)
     {$TauxMensuel  = ($TAnnuel/100)/12                      ;
      $calcul1      = $Capital*$TauxMensuel                  ;
      $calcul2      = pow((1+$TauxMensuel),$NbMois)          ;
      $calcul3      = $calcul2-1                             ;
      $MensualiteHA = round(($calcul1*($calcul2/$calcul3)),2);
      $MensualiteAC = $MensualiteHA+$CoutAss                 ;
      $CoutCredit   = ($MensualiteHA*$NbMois)-$Capital       ;
      $PourcentCout = round(($CoutCredit/$Capital)*100,2)    ;
      // Affichage des résultats
      echo "--- Simulation avec Taux      = $TAnnuel ---".W_EOL;
      echo "Mensualit&eacute; Assurance Comprise  : ".$MensualiteAC.W_EOL;
      echo "Co&ucirc;t Assurance par mois         : ".$CoutAss.W_EOL;
      echo "Co&ucirc;t du cr&eacute;dit en &euro; : ".$CoutCredit.W_EOL;
      echo "Co&ucirc;t du cr&eacute;dit en %      : ".$PourcentCout.W_EOL;
     }
   }
   ?>
   </body>
</html>





